CREATE PROCEDURE [GetUserRankCount]
@UserId bigint
AS
	SELECT u.[Rank] , COUNT(k.KnokId) as [Count]
	FROM [dbo].[Users] u 
	INNER JOIN VW_PublicKnoks k ON u.UserId = k.UserId
	GROUP BY u.[Rank]
RETURN 0
